org.eclipse.ease.ui.view

## Class ModuleExplorerView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.ease.ui.view.ModuleExplorerView

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IEclipsePreferences.IPreferenceChangeListener, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class ModuleExplorerView
    extends ViewPart
    implements IEclipsePreferences.IPreferenceChangeListener

### Field Summary

Fields
`static String` `VIEW_ID`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`ModuleExplorerView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl(Composite parent)` Create contents of the view part.
`void` `dispose()`
`IContentProvider` `getContentProvider()`
`void` `preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)`
`void` `setFocus()`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### VIEW_ID

    public static final String VIEW_ID

See Also:
  Constant Field Values

### Constructor Detail

#### ModuleExplorerView

    public ModuleExplorerView()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

Create contents of the view part.

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`
Parameters:
  `parent` -

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

#### preferenceChange

    public void preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)

Specified by:
  `preferenceChange` in interface `IEclipsePreferences.IPreferenceChangeListener`

#### getContentProvider

    public IContentProvider getContentProvider()